;                                 ͻ
;                                        MSG_TEST.MSG       
;                                     pour TETRHEX v1.04    
;                                                           
;                                       09 / 11 / 1994      
;                                 ͼ

               OPT  O+  ;Optimise au maximum.
               MC68030  ;Processeur 68030.
               USER     ;Interdit l'utilisation des instructions privilgies.

               TEXT

header:        ascii    'MSG1'              ;Header.
               movem.l  d0-d2/a0-a2,-(sp)   ;Sauve les registres.
               lea      msg(pc),a0          ;
loop:          move.w   (a0)+,d1            ;
               beq.s    end                 ; Recherche le type du message dans le tableau.
               move.w   (a0)+,d2            ; Branchement  end si non trouv.
               cmp.w    d0,d1               ;
               bne.s    loop                ;
               pea      msg(pc,d2.w)        ;
               move.w   #9,-(sp)            ; Affiche (sur la sortie standard) la chane
               trap     #1                  ; correspondant au type du message.
               addq.l   #6,sp               ;
end:           movem.l  (sp)+,d0-d2/a0-a2   ;Rcupre les registres.
               jmp      ([header.w,pc])     ;Passe au fichier de messages suivant.

msg:           dc.w     $0001,init-msg
               dc.w     $0002,exit-msg
               dc.w     $0003,pres-msg
               dc.w     $0004,menu1-msg
               dc.w     $0005,menu2-msg
               dc.w     $0006,bkgr-msg
               dc.w     $0007,ldrul-msg
               dc.w     $0008,helpt-msg
               dc.w     $0009,helpr-msg
               dc.w     $000A,pname-msg
               dc.w     $000B,play1-msg
               dc.w     $000C,hisc-msg
               dc.w     $0100,pause-msg
               dc.w     $0101,endp-msg
               dc.w     $0201,play2-msg
               dc.w     $0202,gamov-msg
               dc.w     $0203,next-msg
               dc.w     $0204,disp-msg
               dc.w     $0205,doact-msg
               dc.w     $0206,act10-msg
               dc.w     $0207,inrul-msg
               dc.w     $0300,sig-msg
               dc.w     $0301,fct-msg
               dc.w     0

init:          dc.b     "Initialisation",13,10,0
exit:          dc.b     "Fin du programme",13,10,0
pres:          dc.b     "Prsentation",13,10,0
menu1:         dc.b     "Affichage du menu",13,10,0
menu2:         dc.b     "Menu affich",13,10,0
bkgr:          dc.b     "Calcul de l'image de fond",13,10,0
ldrul:         dc.b     "Nouveau fichier de rgle charg",13,10,0
helpt:         dc.b     "Aide sur TETRHEX",13,10,0
helpr:         dc.b     "Aide sur le fichier de rgle",13,10,0
pname:         dc.b     "Entre du nom du joueur",13,10,0
play1:         dc.b     "Dbut du jeu",13,10,0
hisc:          dc.b     "Affichage des meilleurs scores",13,10,0
pause:         dc.b     "Passage en mode PAUSE",13,10,0
endp:          dc.b     "Fin du mode PAUSE",13,10,0
play2:         dc.b     "Dbut du jeu",13,10,0
gamov:         dc.b     "Fin du jeu",13,10,0
next:          dc.b     "Prochaine pice",13,10,0
disp:          dc.b     "Pice affiche",13,10,0
doact:         dc.b     "Une action va tre effectue",13,10,0
act10:         dc.b     "Message envoy par l'action +10",13,10,0
inrul:         dc.b     "Message envoy par l'interprteur RUL",13,10,0
sig:           dc.b     "Signal?",13,10,0
fct:           dc.b     "Emulation de l'appui sur une touche de fonction",13,10,0

               END
